﻿/* Please see documentation at https://docs.microsoft.com/aspnet/core/client-side/bundling-and-minification
for details on configuring this project to bundle and minify static web assets. */

body {
    background-color: #cccccc;
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

/* Sticky footer styles
-------------------------------------------------- */
html {
    position: relative;
    min-height: 100%;
}

body {
    /* Margin bottom by footer height */
    margin-bottom: 60px;
}

.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    white-space: nowrap;
    line-height: 60px; /* Vertically center the text there */
}

.footer-text {
    color: #999999;
    font-size: 0.8rem;
    text-align: center;
}

.footer-link {
    text-decoration: none;
    color: #999900;
}

    .footer-link:hover {
        text-decoration: none;
        color: #999933;
    }

/* Login styles
-------------------------------------------------- */
.login-frame {
    max-width: 400px;
    position: fixed;
    left: 50%;
    top: 50%;
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.fail-frame {
    max-width: 512px;
    position: fixed;
    left: 50%;
    top: 50%;
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.hidden {
    display: none;
}

.title {
    font-weight: bold;
    text-align: center;
    font-size: 2rem;
    color: #000000;
}

.pre-title {
    font-weight: lighter;
    text-align: center;
    text-transform: uppercase;
    font-size: 1rem;
    color: #000000;
}

.loader {
    border: 3px solid rgba(0, 0, 0, 0); /* Light grey */
    border-top: 3px solid #28a745; /* Green */
    -ms-border-radius: 50%;
    border-radius: 50%;
    width: 24px;
    height: 24px;
    animation: spin 0.8s ease-in-out infinite;
}

@keyframes spin {
    0% {
        -ms-transform: rotate(0deg);
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }

    100% {
        -ms-transform: rotate(360deg);
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}

/* Game styles
-------------------------------------------------- */
.text-faded {
    color: #cccccc;
}

.dead-center {
    position: absolute;
    top: 50%;
    left: 50%;
    -ms-transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.text-24 {
    font-size: 24px;
}

.text-48 {
    font-size: 48px;
}

.text-36 {
    font-size: 36px;
}

.text-sub {
    font-size: 10px;
    text-transform: uppercase;
    color: #999999;
}

.no-animation {
    -webkit-transition: none !important;
    -ms-transition: none !important;
    -o-transition: none !important;
    transition: none !important;
}